From ed07fd93056a2d2c03affe3255d3d5747deaab21 Mon Sep 17 00:00:00 2001
From: Theodore Ts'o <tytso@mit.edu>
Date: Wed, 22 Aug 2018 13:42:23 -0400
Subject: Fix "make install" for configure --enable-subset

Signed-off-by: Theodore Ts'o <tytso@mit.edu>
---
 Makefile.in | 24 ++++++++++++++----------
 1 file changed, 14 insertions(+), 10 deletions(-)

diff --git a/Makefile.in b/Makefile.in
index 745e8590..80ab2994 100644
--- a/Makefile.in
+++ b/Makefile.in
@@ -42,7 +42,7 @@ subs: $(DEP_SUBSTITUTE)
 
 progs: all-progs-recursive
 libs: all-libs-recursive
-all-progs-recursive all-libs-recursive: subs
+all-progs-recursive all-libs-recursive:: subs
 
 rpm:
 	sh contrib/build-rpm
@@ -91,19 +91,23 @@ TAGS clean-recursive distclean-recursive depend-recursive fullcheck-recursive \
 	done
 
 all-progs-recursive install-progs-recursive install-strip-progs-recursive \
-  uninstall-progs-recursive coverage.txt-progs-recursive: all-libs-recursive
-	@for subdir in $(PROG_SUBDIRS); do \
-	  if test -d $$subdir ; then \
-	    target=`echo $@|$(SED) 's/-progs-recursive//'`; \
-	    echo making $$target in $$subdir; \
-	    (cd $$subdir && $(MAKE) $$target) || exit 1; \
-	  fi ; \
-	done
+  uninstall-progs-recursive coverage.txt-progs-recursive:: all-libs-recursive
+
+
+@ALL_CMT@all-progs-recursive install-progs-recursive install-strip-progs-recursive \
+@ALL_CMT@  uninstall-progs-recursive coverage.txt-progs-recursive:: all-libs-recursive
+@ALL_CMT@	@for subdir in $(PROG_SUBDIRS); do \
+@ALL_CMT@	  if test -d $$subdir ; then \
+@ALL_CMT@	    target=`echo $@|$(SED) 's/-progs-recursive//'`; \
+@ALL_CMT@	    echo making $$target in $$subdir; \
+@ALL_CMT@	    (cd $$subdir && $(MAKE) $$target) || exit 1; \
+@ALL_CMT@	  fi ; \
+@ALL_CMT@	done
 
 all-libs-recursive install-libs-recursive install-strip-libs-recursive \
   uninstall-libs-recursive install-shlibs-libs-recursive \
   install-shlibs-strip-libs-recursive uninstall-shlibs-libs-recursive \
-  coverage.txt-libs-recursive:
+  coverage.txt-libs-recursive::
 	@for subdir in $(LIB_SUBDIRS); do \
 	  if test -d $$subdir ; then \
 	    target=`echo $@|$(SED) 's/-libs-recursive//'`; \
-- 
cgit 1.2-0.3.lf.el7

